import request from '@/utils/request'

// 获取调剂课程选项
export function getAllMajor (data) {
  return request({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: '/user/getCourses',
    method: 'POST',
    data,

  })
}

// 获取所有乐团列表
export function getMusicTeams (data) {
  return request({
    url: '/user/getMusicTeams',
    method: 'POST',
    data
  })
}

// 获取所有分部 /user/getBranches
export function getBranches (data) {
  return request({
    url: '/user/getBranches',
    method: 'get',
    params: data
  })
}

// 获取所有学生列表 /user/getMusicTeamStu
export function getStudentList (data) {
  return request({
    url: '/user/getMusicTeamStu',
    method: 'post',
    data
  })
}

// 修改用户信息 /updateUser
export function updateUser (data) {
  return request({
    url: '/user/updateUserSub',
    method: 'post',
    data
  })
}


// 开启收费通道 updateClass
export function updateClass (data) {
  return request({
    url: '/user/updateClass',
    method: 'post',
    data
  })
}